# Class HEdge

java.lang.Object
com.treemap.swing.originalfastvoronoi.convexHull.HEdge

public class HEdge extends Object
Class for representing an Edge in the JConvexHull. Contains the origin and destination vertices, the twin edge, the incident JFace and the next and previous edge in the incident JFace

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HEdge(JVertex origin, JVertex dest, JFace iFace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `findHorizon(List<HEdge> horizon)`
  `JVertex`
  `getDest()`
  `JFace`
  `getiFace()`
  `HEdge`
  `getNext()`
  `JVertex`
  `getOrigin()`
  `HEdge`
  `getPrev()`
  `HEdge`
  `getTwin()`
  `boolean`
  `isEqual(JVertex origin, JVertex dest)`
  `boolean`
  `isHorizon()`
  `void`
  `setDest(JVertex dest)`
  `void`
  `setiFace(JFace iFace)`
  `void`
  `setNext(HEdge next)`
  `void`
  `setOrigin(JVertex origin)`
  `void`
  `setPrev(HEdge prev)`
  `void`
  `setTwin(HEdge twin)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HEdge

    public HEdge(JVertex origin, JVertex dest, JFace iFace)

- ## Method Details

  - ### setDest

    public void setDest(JVertex dest)

  - ### isEqual

    public boolean isEqual(JVertex origin, JVertex dest)

  - ### getOrigin

    public JVertex getOrigin()

  - ### setOrigin

    public void setOrigin(JVertex origin)

  - ### getTwin

    public HEdge getTwin()

  - ### setTwin

    public void setTwin(HEdge twin)

  - ### getiFace

    public JFace getiFace()

  - ### setiFace

    public void setiFace(JFace iFace)

  - ### getNext

    public HEdge getNext()

  - ### setNext

    public void setNext(HEdge next)

  - ### getPrev

    public HEdge getPrev()

  - ### setPrev

    public void setPrev(HEdge prev)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDest

    public JVertex getDest()

  - ### isHorizon

    public boolean isHorizon()

  - ### findHorizon

    public void findHorizon(List<HEdge> horizon)